package com.me.asteroids;

import com.badlogic.gdx.math.MathUtils;
import com.badlogic.gdx.math.Vector2;

import java.lang.Math;

public final class Utils {

    public static float rotate(float rotation, float degrees) {
        rotation += degrees;
        if (rotation < 0) {
            rotation = 360 - rotation;
        } else if (rotation > 360) {
            rotation -= 360;
        }
        return rotation;
    }

    public static Vector2 setUnitVectorAngle(Vector2 vector, float degrees) {
        return vector.set((float) Math.cos(degrees * MathUtils.degreesToRadians), (float) Math.sin(degrees * MathUtils.degreesToRadians));
    }

    public static Vector2 setUnitVectorAngleRad(Vector2 vector, float radians) {
        return vector.set((float) Math.cos(radians), (float) Math.sin(radians));
    }

}
